local EveryQuest = EveryQuest
local L = AceLibrary("AceLocale-2.2"):new("EveryQuest")

function EveryQuest:CreateOptions()

EveryQuest.options = { 
    type='group',
    args = {
		Spacing1 = {
			name = " ",
			type = "header",
		},    
		debug = {
			type = 'toggle',
			name = "Show Debugging Messages",
			desc = "Show Debugging Messages",
			set = function(newval) EveryQuest.db.profile.debug = newval end,
			get = function() return EveryQuest.db.profile.debug end,
		},
		showall = {
			type = 'toggle',
			name = "Show all known quests",
			desc = "Show all known quests",
			set = function(newval) EveryQuest.db.profile.showall = newval if newval then EveryQuestCollapseAllButton:Show() EveryQuest:NewZone() else EveryQuestCollapseAllButton:Hide() end end,
			get = function() return EveryQuest.db.profile.showall end,
		},
    },
}

end
